com.sun.java.xml.ns.javaee

## Class FilterType

- java.lang.Object
- - com.sun.java.xml.ns.javaee.FilterType

-     public class FilterType
      extends Object

  The filterType is used to declare a filter in the web application. The filter is mapped to either a servlet or a URL pattern in the filter-mapping element, using the filter-name value to reference. Filters can access the initialization parameters declared in the deployment descriptor at runtime via the FilterConfig interface. Used in: web-app

  Java-Klasse für filterType complex type.

  Das folgende Schemafragment gibt den erwarteten Content an, der in dieser Klasse enthalten ist.

       <complexType name="filterType">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <group ref="{http://java.sun.com/xml/ns/javaee}descriptionGroup"/>
               <element name="filter-name" type="{http://java.sun.com/xml/ns/javaee}filter-nameType"/>
               <element name="filter-class" type="{http://java.sun.com/xml/ns/javaee}fully-qualified-classType" minOccurs="0"/>
               <element name="async-supported" type="{http://java.sun.com/xml/ns/javaee}true-falseType" minOccurs="0"/>
               <element name="init-param" type="{http://java.sun.com/xml/ns/javaee}param-valueType" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
             <attribute name="id" type="{http://www.w3.org/2001/XMLSchema}ID" />
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected TrueFalseType` | `asyncSupported`
    `protected List<DescriptionType>` | `description`
    `protected List<DisplayNameType>` | `displayName`
    `protected FullyQualifiedClassType` | `filterClass`
    `protected FilterNameType` | `filterName`
    `protected List<IconType>` | `icon`
    `protected String` | `id`
    `protected List<ParamValueType>` | `initParam`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TrueFalseType` | `getAsyncSupported()` Ruft den Wert der asyncSupported-Eigenschaft ab.
    `List<DescriptionType>` | `getDescription()` Gets the value of the description property.
    `List<DisplayNameType>` | `getDisplayName()` Gets the value of the displayName property.
    `FullyQualifiedClassType` | `getFilterClass()` Ruft den Wert der filterClass-Eigenschaft ab.
    `FilterNameType` | `getFilterName()` Ruft den Wert der filterName-Eigenschaft ab.
    `List<IconType>` | `getIcon()` Gets the value of the icon property.
    `String` | `getId()` Ruft den Wert der id-Eigenschaft ab.
    `List<ParamValueType>` | `getInitParam()` Gets the value of the initParam property.
    `void` | `setAsyncSupported(TrueFalseType value)` Legt den Wert der asyncSupported-Eigenschaft fest.
    `void` | `setFilterClass(FullyQualifiedClassType value)` Legt den Wert der filterClass-Eigenschaft fest.
    `void` | `setFilterName(FilterNameType value)` Legt den Wert der filterName-Eigenschaft fest.
    `void` | `setId(String value)` Legt den Wert der id-Eigenschaft fest.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### description

          protected List<DescriptionType> description

    - #### displayName

          protected List<DisplayNameType> displayName

    - #### icon

          protected List<IconType> icon

    - #### filterName

          protected FilterNameType filterName

    - #### filterClass

          protected FullyQualifiedClassType filterClass

    - #### asyncSupported

          protected TrueFalseType asyncSupported

    - #### initParam

          protected List<ParamValueType> initParam

    - #### id

          protected String id

  - ### Constructor Detail

    - #### FilterType

          public FilterType()

  - ### Method Detail

    - #### getDescription

          public List<DescriptionType> getDescription()

      Gets the value of the description property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the description property.

      For example, to add a new item, do as follows:

              getDescription().add(newItem);

      Objects of the following type(s) are allowed in the list `DescriptionType`

    - #### getDisplayName

          public List<DisplayNameType> getDisplayName()

      Gets the value of the displayName property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the displayName property.

      For example, to add a new item, do as follows:

              getDisplayName().add(newItem);

      Objects of the following type(s) are allowed in the list `DisplayNameType`

    - #### getIcon

          public List<IconType> getIcon()

      Gets the value of the icon property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the icon property.

      For example, to add a new item, do as follows:

              getIcon().add(newItem);

      Objects of the following type(s) are allowed in the list `IconType`

    - #### getFilterName

          public FilterNameType getFilterName()

      Ruft den Wert der filterName-Eigenschaft ab.
      Returns:
        possible object is `FilterNameType`

    - #### setFilterName

          public void setFilterName(FilterNameType value)

      Legt den Wert der filterName-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `FilterNameType`

    - #### getFilterClass

          public FullyQualifiedClassType getFilterClass()

      Ruft den Wert der filterClass-Eigenschaft ab.
      Returns:
        possible object is `FullyQualifiedClassType`

    - #### setFilterClass

          public void setFilterClass(FullyQualifiedClassType value)

      Legt den Wert der filterClass-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `FullyQualifiedClassType`

    - #### getAsyncSupported

          public TrueFalseType getAsyncSupported()

      Ruft den Wert der asyncSupported-Eigenschaft ab.
      Returns:
        possible object is `TrueFalseType`

    - #### setAsyncSupported

          public void setAsyncSupported(TrueFalseType value)

      Legt den Wert der asyncSupported-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `TrueFalseType`

    - #### getInitParam

          public List<ParamValueType> getInitParam()

      Gets the value of the initParam property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the initParam property.

      For example, to add a new item, do as follows:

              getInitParam().add(newItem);

      Objects of the following type(s) are allowed in the list `ParamValueType`

    - #### getId

          public String getId()

      Ruft den Wert der id-Eigenschaft ab.
      Returns:
        possible object is `String`

    - #### setId

          public void setId(String value)

      Legt den Wert der id-Eigenschaft fest.
      Parameters:
        `value` - allowed object is `String`

Copyright © 2015 buschmais GbR. All rights reserved.